Bug 52564 - Build fails when Inspector is disabled
Summary: Build fails when Inspector is disabled
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-17 03:41 PST by Konstantin Tokarev
Modified: 2011-01-19 01:42 PST (History)
2 users (show)

See Also:


Attachments
Fixed compilation when Inspector is disabled (1.56 KB, patch)
2011-01-17 03:43 PST, Konstantin Tokarev
pfeldman: review-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Tokarev 2011-01-17 03:41:37 PST
Attached patch fixes this problem
Comment 1 Konstantin Tokarev 2011-01-17 03:43:51 PST
Created attachment 79149 [details]
Fixed compilation when Inspector is disabled
Comment 2 Kent Tamura 2011-01-17 17:49:57 PST
Comment on attachment 79149 [details]
Fixed compilation when Inspector is disabled

Looks good.
Comment 3 WebKit Commit Bot 2011-01-18 04:45:11 PST
Comment on attachment 79149 [details]
Fixed compilation when Inspector is disabled

Clearing flags on attachment: 79149

Committed r76017: <http://trac.webkit.org/changeset/76017>
Comment 4 WebKit Commit Bot 2011-01-18 04:45:16 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 Pavel Feldman 2011-01-18 05:33:01 PST
Comment on attachment 79149 [details]
Fixed compilation when Inspector is disabled

This patch is wrong, InspectorInstrumentation:: can be called with no guard. Please roll it out.
Comment 6 Konstantin Tokarev 2011-01-18 05:35:56 PST
> This patch is wrong, InspectorInstrumentation:: can be called with no guard. 

Compilation fails without guard
Comment 7 Pavel Feldman 2011-01-18 05:51:00 PST
(In reply to comment #6)
> > This patch is wrong, InspectorInstrumentation:: can be called with no guard. 
> 
> Compilation fails without guard

I can see Qt Linux minimal bots doing fine before this change and after I rolled it out in the r76018: http://build.webkit.org/builders/Qt%20Linux%20Release%20minimal/builds/16270.
Comment 8 Konstantin Tokarev 2011-01-19 01:42:28 PST
(In reply to comment #7)
> (In reply to comment #6)
> > > This patch is wrong, InspectorInstrumentation:: can be called with no guard. 
> > 
> > Compilation fails without guard
> 
> I can see Qt Linux minimal bots doing fine before this change and after I rolled it out in the r76018: http://build.webkit.org/builders/Qt%20Linux%20Release%20minimal/builds/16270.

You're right, sorry